Subject: [os2genau_digest] No. 1098
From: Digest <deadmail>
To: "OS/2GenAu Digest"<deadmail>
Date: Tue, 26 Apr 2005 00:01:06 EST-10EDT,10,-1,0,7200,3,-1,0,7200,3600

**************************************************
Monday 25 April 2005
 Number  1098
**************************************************

Subjects for today
 
1  Re:  EPSON C65 PRINTER : nickl at pacific dot net dot au
2  Re:  EPSON C65 PRINTER : nickl at pacific dot net dot au
3  Re:  EPSON C65 PRINTER : Ed Durrant <edurrant at bigpond dot net dot au>
4  Re:  EPSON C65 PRINTER : Ed Durrant <edurrant at bigpond dot net dot au>
5  Re:  EPSON C65 PRINTER : John Angelico" <talldad at kepl dot com dot au>
6  Re:  EPSON C65 PRINTER : nickl at pacific dot net dot au

**= Email   1 ==========================**

Date:  Mon, 25 Apr 2005 08:58:31 +0900
From:  nickl at pacific dot net dot au
Subject:  Re:  EPSON C65 PRINTER

In <426B8FE6.50708 at bigpond dot net dot au>, on 04/24/2005 
   at 10:24 PM, Ed Durrant <edurrant at bigpond dot net dot au> said:

>Ed Durrant wrote:

>> nickl at pacific dot net dot au wrote:

--------- snip -------
>>> Has anyone on the Group managed to get an Epson C65 to go on OS/2-eCs?
>>> Standalone or Networked? I hae also tried the Synchronisation tools 
>>> in the
>>> Properties > Advanced folder. I either got all Formfeed with 1 or 2
>>> characters, or 1 page with many ascii and numbers, often double-printed.
>>> On the Windows Job Properties, which I need to access in order to 
>>> kill the
>>> job, it tells me that a text file is worth 1.07MB. Something not right
>>> there.
>>>
>>> Look forward to your response(s), and thanks in advance for your help.
>>>
>>> regards
>>>
>>> NICK
>>>
>>>
>> If possible, the best way to network a printer is to use a NULL 
>> "pass-through" driver on the system that is sharing the printer, then 
>> use the correct driver on the CLIENT PC with "printer specific format" 
>> selected if available. This should then work.
>>
>> If you have the sharing PC using one driver and the client PC (whether 
>> OS2-eCS, windows or linux) using another, you will get exactly the 
>> problem you describe.

Thanks for that, and also thanks for other suggestions.

Firstly, tried installing the C80 Driver....no difference. Nothing's
changed from above.

Now Ed, please excuse me, but I'm a bit lost. :-) What is a NULL Driver.
Is that the one eCs-OS/2 installs first up, on installation before one
selects the Driver for a specific printer?

Looking closer at your mail, when I have enabled a Network Printer from
the Template, When asked I have enabled the epomni5 C60 Driver. What I
should have enabled is the NULL driver. Is that correct?

I'm going to try that now.....

Oh, BTW, I cannot seem to get rid of all the previous attempts of
installing this Printer. When trying to delete them (have accessed them
through a non-default Printer), I get the Message WTTE "cannot delete
this(these) driver(S) as they are in use..." Please tell me what I'm
missing.

Have a good A.N.Z.A.C. Day, and thanks for your help.

NICK

>>
>> cheers/2
>>
>> Ed.
> 
>>
>> 
>
>>

> 

-----------------------------------------------------------
nickl at pacific dot net dot au
-----------------------------------------------------------

----------------------------------------------------------------------------------

**= Email   2 ==========================**

Date:  Mon, 25 Apr 2005 16:41:27 +0900
From:  nickl at pacific dot net dot au
Subject:  Re:  EPSON C65 PRINTER

Hi All Again

Looks like some bad news....

In <200504250111.j3P1BY0H011555 at mailproxy2.pacific dot net dot au>, on 04/25/2005 
   at 08:58 AM, nickl at pacific dot net dot au said:

>In <426B8FE6.50708 at bigpond dot net dot au>, on 04/24/2005 
>   at 10:24 PM, Ed Durrant <edurrant at bigpond dot net dot au> said:

>>Ed Durrant wrote:

>>> nickl at pacific dot net dot au wrote:

>--------- snip -------
>>>>
>>> If possible, the best way to network a printer is to use a NULL 
>>> "pass-through" driver on the system that is sharing the printer, then 
>>> use the correct driver on the CLIENT PC with "printer specific format" 
>>> selected if available. This should then work.
>>>
>>> If you have the sharing PC using one driver and the client PC (whether 
>>> OS2-eCS, windows or linux) using another, you will get exactly the 
>>> problem you describe.

>Thanks for that, and also thanks for other suggestions.

>Firstly, tried installing the C80 Driver....no difference. Nothing's
>changed from above.

>Now Ed, please excuse me, but I'm a bit lost. :-) What is a NULL Driver.
>Is that the one eCs-OS/2 installs first up, on installation before one
>selects the Driver for a specific printer?

>Looking closer at your mail, when I have enabled a Network Printer from
>the Template, When asked I have enabled the epomni5 C60 Driver. What I
>should have enabled is the NULL driver. Is that correct?

>I'm going to try that now.....

>Oh, BTW, I cannot seem to get rid of all the previous attempts of
>installing this Printer. When trying to delete them (have accessed them
>through a non-default Printer), I get the Message WTTE "cannot delete
>this(these) driver(S) as they are in use..." Please tell me what I'm
>missing.

>Have a good A.N.Z.A.C. Day, and thanks for your help.

>NICK
-------------------------------
adding onto that:

Well, I "bit the bullet". Took the C65 and hooked it up to the P200.
Wierd! If I started the Computer the Printer had no power. And vice-versa!
And this is after putting the power cords on different outlets. Also put
the new you-beaut parallel cable on. Ended up by starting the computer,
waited to BM, then started the printer. Installed the software, found me a
text file (Flash5 install readme.txt) and Printed. Nothing happened.
Looked at the Default Settings. Said it was "Photo". Went back and set it
to "economy" and "black". It printed a very nice text file from the AE
editor. Getting a bit gamer, set it now to "text/graph". The old problem
returned with form-feeding and lots of ascii text.

So if it does that locally, networking it will not work. A pity, as I
don't think there would be much to do to get it to work for eCs-OS/2. In
older apps I had, some printers would have no trouble printying a text
file, but as soon as it became printer-specific, it didn't want to know.

Another "giveaway" was that the printers I know would "reboot" on hardware
startup and OS startup. This one only did the hardware startup. Maybe
that's not accurate, but it seemed the precursor of something bad.

Regards

NICK

-----------------------------------------------------------
nickl at pacific dot net dot au
-----------------------------------------------------------

----------------------------------------------------------------------------------

**= Email   3 ==========================**

Date:  Mon, 25 Apr 2005 20:44:26 +1000
From:  Ed Durrant <edurrant at bigpond dot net dot au>
Subject:  Re:  EPSON C65 PRINTER

nickl at pacific dot net dot au wrote:

>Hi All Again
>
>Looks like some bad news....
>
>In <200504250111.j3P1BY0H011555 at mailproxy2.pacific dot net dot au>, on 04/25/2005 
>   at 08:58 AM, nickl at pacific dot net dot au said:
>
>  
>
>>In <426B8FE6.50708 at bigpond dot net dot au>, on 04/24/2005 
>>  at 10:24 PM, Ed Durrant <edurrant at bigpond dot net dot au> said:
>>    
>>
>
>  
>
>>>Ed Durrant wrote:
>>>      
>>>
>
>  
>
>>>>nickl at pacific dot net dot au wrote:
>>>>        
>>>>
>
>  
>
>>--------- snip -------
>>    
>>
>>>>If possible, the best way to network a printer is to use a NULL 
>>>>"pass-through" driver on the system that is sharing the printer, then 
>>>>use the correct driver on the CLIENT PC with "printer specific format" 
>>>>selected if available. This should then work.
>>>>
>>>>If you have the sharing PC using one driver and the client PC (whether 
>>>>OS2-eCS, windows or linux) using another, you will get exactly the 
>>>>problem you describe.
>>>>        
>>>>
>
>  
>
>>Thanks for that, and also thanks for other suggestions.
>>    
>>
>
>  
>
>>Firstly, tried installing the C80 Driver....no difference. Nothing's
>>changed from above.
>>    
>>
>
>  
>
>>Now Ed, please excuse me, but I'm a bit lost. :-) What is a NULL Driver.
>>Is that the one eCs-OS/2 installs first up, on installation before one
>>selects the Driver for a specific printer?
>>    
>>
>
>  
>
>>Looking closer at your mail, when I have enabled a Network Printer from
>>the Template, When asked I have enabled the epomni5 C60 Driver. What I
>>should have enabled is the NULL driver. Is that correct?
>>    
>>
>
>  
>
>>I'm going to try that now.....
>>    
>>
>
>  
>
>>Oh, BTW, I cannot seem to get rid of all the previous attempts of
>>installing this Printer. When trying to delete them (have accessed them
>>through a non-default Printer), I get the Message WTTE "cannot delete
>>this(these) driver(S) as they are in use..." Please tell me what I'm
>>missing.
>>    
>>
>
>  
>
>>Have a good A.N.Z.A.C. Day, and thanks for your help.
>>    
>>
>
>  
>
>>NICK
>>    
>>
>-------------------------------
>adding onto that:
>
>Well, I "bit the bullet". Took the C65 and hooked it up to the P200.
>Wierd! If I started the Computer the Printer had no power. And vice-versa!
>And this is after putting the power cords on different outlets. Also put
>the new you-beaut parallel cable on. Ended up by starting the computer,
>waited to BM, then started the printer. Installed the software, found me a
>text file (Flash5 install readme.txt) and Printed. Nothing happened.
>Looked at the Default Settings. Said it was "Photo". Went back and set it
>to "economy" and "black". It printed a very nice text file from the AE
>editor. Getting a bit gamer, set it now to "text/graph". The old problem
>returned with form-feeding and lots of ascii text.
>
>So if it does that locally, networking it will not work. A pity, as I
>don't think there would be much to do to get it to work for eCs-OS/2. In
>older apps I had, some printers would have no trouble printying a text
>file, but as soon as it became printer-specific, it didn't want to know.
>
>Another "giveaway" was that the printers I know would "reboot" on hardware
>startup and OS startup. This one only did the hardware startup. Maybe
>that's not accurate, but it seemed the precursor of something bad.
>
>Regards
>
>NICK
>
>  
>

I was referring to using a "Null" driver on the system sharing the 
printer - a windoze box I believe. The "real" driver has to be running 
on the system where the application is creating the data to be printed, 
so it knows what to wrap around the text or graphic to tell the printer 
how to print it.

You've gone past this stage now though. If when the printer is directly 
connected to the OS2-eCS PC, it doesn't print correctly, you have the 
wrong printer driver. Unless you are able to write printer drivers 
yourself, all I can suggest is to go through all the ones that you think 
might be correct.

I presume you are using Epson Omni 5 driver ? - this states in its 
readme in the zip file:

PRINTER DEVICES INCLUDED
--------------------------------
Epson Stylus C60
Epson Stylus C70
Epson Stylus C80

So I'd try the C60 then C70 and last C80 to see if any of them work 
correctly with your C65.

Cheers/2

Ed.
----------------------------------------------------------------------------------

**= Email   4 ==========================**

Date:  Mon, 25 Apr 2005 20:50:42 +1000
From:  Ed Durrant <edurrant at bigpond dot net dot au>
Subject:  Re:  EPSON C65 PRINTER

nickl at pacific dot net dot au wrote:

>Hi All Again
>
>Looks like some bad news....
>
>In <200504250111.j3P1BY0H011555 at mailproxy2.pacific dot net dot au>, on 04/25/2005 
>   at 08:58 AM, nickl at pacific dot net dot au said:
>
>  
>
>>In <426B8FE6.50708 at bigpond dot net dot au>, on 04/24/2005 
>>  at 10:24 PM, Ed Durrant <edurrant at bigpond dot net dot au> said:
>>    
>>
>
>  
>
>>>Ed Durrant wrote:
>>>      
>>>
>
>  
>
>>>>nickl at pacific dot net dot au wrote:
>>>>        
>>>>
>
>  
>
>>--------- snip -------
>>    
>>
>>>>If possible, the best way to network a printer is to use a NULL 
>>>>"pass-through" driver on the system that is sharing the printer, then 
>>>>use the correct driver on the CLIENT PC with "printer specific format" 
>>>>selected if available. This should then work.
>>>>
>>>>If you have the sharing PC using one driver and the client PC (whether 
>>>>OS2-eCS, windows or linux) using another, you will get exactly the 
>>>>problem you describe.
>>>>        
>>>>
>
>  
>
>>Thanks for that, and also thanks for other suggestions.
>>    
>>
>
>  
>
>>Firstly, tried installing the C80 Driver....no difference. Nothing's
>>changed from above.
>>    
>>
>
>  
>
>>Now Ed, please excuse me, but I'm a bit lost. :-) What is a NULL Driver.
>>Is that the one eCs-OS/2 installs first up, on installation before one
>>selects the Driver for a specific printer?
>>    
>>
>
>  
>
>>Looking closer at your mail, when I have enabled a Network Printer from
>>the Template, When asked I have enabled the epomni5 C60 Driver. What I
>>should have enabled is the NULL driver. Is that correct?
>>    
>>
>
>  
>
>>I'm going to try that now.....
>>    
>>
>
>  
>
>>Oh, BTW, I cannot seem to get rid of all the previous attempts of
>>installing this Printer. When trying to delete them (have accessed them
>>through a non-default Printer), I get the Message WTTE "cannot delete
>>this(these) driver(S) as they are in use..." Please tell me what I'm
>>missing.
>>    
>>
>
>  
>
>>Have a good A.N.Z.A.C. Day, and thanks for your help.
>>    
>>
>
>  
>
>>NICK
>>    
>>
>-------------------------------
>adding onto that:
>
>Well, I "bit the bullet". Took the C65 and hooked it up to the P200.
>Wierd! If I started the Computer the Printer had no power. And vice-versa!
>And this is after putting the power cords on different outlets. Also put
>the new you-beaut parallel cable on. Ended up by starting the computer,
>waited to BM, then started the printer. Installed the software, found me a
>text file (Flash5 install readme.txt) and Printed. Nothing happened.
>Looked at the Default Settings. Said it was "Photo". Went back and set it
>to "economy" and "black". It printed a very nice text file from the AE
>editor. Getting a bit gamer, set it now to "text/graph". The old problem
>returned with form-feeding and lots of ascii text.
>
>So if it does that locally, networking it will not work. A pity, as I
>don't think there would be much to do to get it to work for eCs-OS/2. In
>older apps I had, some printers would have no trouble printying a text
>file, but as soon as it became printer-specific, it didn't want to know.
>
>Another "giveaway" was that the printers I know would "reboot" on hardware
>startup and OS startup. This one only did the hardware startup. Maybe
>that's not accurate, but it seemed the precursor of something bad.
>
>Regards
>
>NICK
>  
>

Sorry Nick - I just read all of your e-mail and you are using Epson Omni 
5 - that's OK, but if you can't remove the old code, you WILL be picking 
up the wrong components  of the old driver instead of the new one you 
are trying to install.

You MUST remove the old printers. If you cannot de-install these by 
simply deleting the printer ICON and replying yes to the question about 
de-installation, you'll need to trawl through os2.ini and os2sys.ini and 
remove enties manualy with inimaint, then go and remove the printer 
queue directory under C:\Spool. You'll probably need to reboot between 
these two actions and the after the second.

Then you should be able to do a clean install of the C60 driver from 
EPOMNI5.

Cheers/2

Ed.
----------------------------------------------------------------------------------

**= Email   5 ==========================**

Date:  Mon, 25 Apr 2005 20:16:10 +1000 (AEST)
From:  "John Angelico" <talldad at kepl dot com dot au>
Subject:  Re:  EPSON C65 PRINTER

On Mon, 25 Apr 2005 20:50:42 +1000, Ed Durrant wrote:

Hi Nick and Ed.

>
>Sorry Nick - I just read all of your e-mail and you are using Epson Omni 
>5 - that's OK, but if you can't remove the old code, you WILL be picking 
>up the wrong components  of the old driver instead of the new one you 
>are trying to install.
>
>You MUST remove the old printers. If you cannot de-install these by 
>simply deleting the printer ICON and replying yes to the question about 
>de-installation, you'll need to trawl through os2.ini and os2sys.ini and 
>remove enties manualy with inimaint, then go and remove the printer 
>queue directory under C:\Spool. You'll probably need to reboot between 
>these two actions and the after the second.

Suggestion: Install a dumb little Epson 9pin printer driver, and "attach" it
to your physical printer.

That is, go to Printer/Properties/Printer Driver and select the 9pin driver
only so that it is the only object in the lower pane of the window. 

Make sure all your printer/s are using that little driver.

Then you should be able to delete the crook one.

>Then you should be able to do a clean install of the C60 driver from 
>EPOMNI5.

Then this statement is logically attainable.

Best regards
John Angelico
OS/2 SIG
os2 at melbpc dot org dot au or 
talldad at kepl dot com dot au
___________________

PMTagline v1.50 - Copyright, 1996-1997, Stephen Berg and John Angelico
.... "Computers do byte"
----------------------------------------------------------------------------------

**= Email   6 ==========================**

Date:  Mon, 25 Apr 2005 20:57:53 +0900
From:  nickl at pacific dot net dot au
Subject:  Re:  EPSON C65 PRINTER

Hi John, Ed, All

In <0072991280.00000N1W at [192.168.0.3]>, on 04/25/2005 
   at 08:16 PM, "John Angelico" <talldad at kepl dot com dot au> said:

>On Mon, 25 Apr 2005 20:50:42 +1000, Ed Durrant wrote:

>Hi Nick and Ed.

>>
>>Sorry Nick - I just read all of your e-mail and you are using Epson Omni 
>>5 - that's OK, but if you can't remove the old code, you WILL be picking 
>>up the wrong components  of the old driver instead of the new one you 
>>are trying to install.
>>
>>You MUST remove the old printers. If you cannot de-install these by 
>>simply deleting the printer ICON and replying yes to the question about 
>>de-installation, you'll need to trawl through os2.ini and os2sys.ini and 
>>remove enties manualy with inimaint, then go and remove the printer 
>>queue directory under C:\Spool. 

See below.

>You'll probably need to reboot between 
>>these two actions and the after the second.

Ed: Did John's action first, and when that didn't work, went back to
yours. I don't have inimaint, but I do have checkini. I was waiting for
that to pitch out the deleted drivers, but it didn't.

>Suggestion: Install a dumb little Epson 9pin printer driver, and "attach"
>it to your physical printer.

I have 2 locals, 1 remote (the Epson C65), PMFax, IBM Null, and an Apple
LaserWrite for PostScript (which I didn't do).

>That is, go to Printer/Properties/Printer Driver and select the 9pin
>driver only so that it is the only object in the lower pane of the
>window. 

>Make sure all your printer/s are using that little driver.

Did that to all of them.

>Then you should be able to delete the crook one.

Didn't happen, I'm afraid. Three (3) of them turned up in that Window,
saying they won't be deleted.

Oh BTW, c:\spool does not exist on my C: boot drive. I think I've seen it
before...don't know where it is now.

>>Then you should be able to do a clean install of the C60 driver from 
>>EPOMNI5.

>Then this statement is logically attainable.

That I'm looking forward to, as well as clearing the almighty mess I've
created for myself. Thanks for your patience.

Regards

NICK

>Best regards
>John Angelico
>OS/2 SIG
>os2 at melbpc dot org dot au or 
>talldad at kepl dot com dot au
>___________________

>PMTagline v1.50 - Copyright, 1996-1997, Stephen Berg and John Angelico
>... "Computers do byte"

> 

-----------------------------------------------------------
nickl at pacific dot net dot au
-----------------------------------------------------------

----------------------------------------------------------------------------------